"use strict";
const express = require('express');
const router = express.Router();

router.get('/', (req, res, next) => {
  db.all('SELECT * FROM lifelog ORDER BY date DESC, time DESC LIMIT 20', (error, data) => {
    if(error) {
      return res.render('error',{message: 'SQL Request Error'});
    } else {
      return res.render('index', {'data': data});
    }
  });
});

router.post('/post', (req, res, next) => {
  var dt = new Date();
  var date_formatted = dt.toFormat('YYYY/MM/DD');
  var time_formatted = dt.toFormat('HH24:MI:SS');

  if (!/^[0-9]+(\.[0-9]+)?$/.test(req.body.value)) {
    return res.render('error',{message: 'Bad Input'});
  }
  
  db.run('INSERT INTO lifelog VALUES ($date, $time, $type, $value)',
         {$date: date_formatted,
           $time: time_formatted,
           $type: req.body.type,
           $value: req.body.value},
         (error, row) => {
           if (error) {
             console.error('Error!', error);
           } else {
             return res.redirect('/');
           }});
});

module.exports = router;
